#!/bin/bash

# Libraries and EJBs
LIST="jcore jcoreee \
	jcore-logger-lib jcore-logger-ejb \
	jcountry-core jcountry-lib \
	jphone-core jphone-lib \
	jcontacts-core jcontacts-business-core jcontacts-lib jcontacts-ejb \
	juser-core juser-lib \
	jletter-core jletter-lib jletter-ejb \
	jmailer-ee \
	jcore-swing \
	jcustomer-core jcustomer-lib \
	jshop-core jshop-ee-lib jshop-ejb \
	jshop-receipt-lib jshop-receipt-ejb"

# Applications and their special libs/EJBs
LIST="${LIST}
	pizzaservice-lib pizzaservice-mailer pizzaservice-ejb pizzaservice pizzaservice-swing pizzaservice-war \
	jjobs-lib jjobs-mailer jjobs-ejb jjobs jjobs-war \
	jratecalc-lib jratecalc-mailer jratecalc-ejb jratecalc jratecalc-war \
	addressbook-lib addressbook-mailer addressbook-ejb addressbook addressbook-war addressbook-uml"

# Tools repository
LIST="${LIST} jprojects-scripts"

# BROKEN:
LIST="${LIST} addressbook-swing"

# Own home directory
declare -r JPROJECTS_HOME="${PWD}"

# ant binary
ANT_BIN=`which ant`

# Test on .git availability"
for project in ${LIST}; do
	if [ ! -d "${project}" ]
	then
		echo "$0: Project '${project}' not created."
	elif [ ! -f "${project}/.git/config" ]
	then
		echo "$0: Project '${project}' is no GIT project."
		exit 1
	fi
done
