#!/bin/bash

. ./.jprojects.sh || exit 255

for project in ${LIST}; do
	if [ ! -d "${JPROJECTS_HOME}/${project}" ]
	then
		echo "$0: Project '${project}' does not exist."
		continue
	fi

	cd "${JPROJECTS_HOME}/${project}" || exit 255

	if [ "$1" = "c" ]
	then
		echo "$0: Checkout '${project}' ..."
		git checkout -- .
	fi

	SKIP_TEST="${project:0:9}"

	echo "$0: Pulling '${project}' ..."
	if [ "${SKIP_TEST}" = "jratecalc" ]
	then
		git pull --all || exit 255
	else
		git pull transport master || exit 255
	fi

	echo "$0: Rebasing '${project}' ..."
	git rebase origin/master || exit 255
done
